Subject: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Michael Albinus <[email-masked]>
Date: Tue, 21 Mar 2017 09:44:52 +0100

Andreas Politz <[email-masked]> writes:

>>> Sure, the back-ends mostly watch directories, except for kqueue.  But is
>>> this behavior also intended to be propagated to the clients of
>>> filenotify.el ?
>>
>> Yes.
>
> Why is that ?

We've discussed this a while ago, main reason (IIRC) was to achieve
same behaviour for the different libraries.

I cannot find the discussion just now, likely it was in one of the
bugs. The main reason was the w32notify library, which works only
watching directories.

Later on we've added the kqueue library, which works reliably only
watching files. This breaks the unification attempt, but I don't believe
we shall change the behaviour again.

> -ap

Best regards, Michael.